Page MenuHomePhabricator

Make VisualEditor good enough for mobile tablet and phone default enablement
Open, MediumPublic1 Estimate Story Points

Related Objects

StatusSubtypeAssignedTask
ResolvedDannyH
OpenNone
OpenNone
ResolvedKrenair
DeclinedJdforrester-WMF
ResolvedRyasmeen
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedNone
OpenNone
Opendchan
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedNone
ResolvedEsanders
OpenNone
DeclinedEsanders
ResolvedNone
ResolvedJdlrobson
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
DuplicateRyasmeen
StalledRyasmeen
StalledRyasmeen
ResolvedJdforrester-WMF
ResolvedDeskana
Resolved TrevorParscal
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
StalledRyasmeen
ResolvedJdforrester-WMF
ResolvedRyasmeen
ResolvedRyasmeen
OpenNone
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
Resolvedppelberg
DuplicateNone
ResolvedEsanders
Resolved AlexMonk-WMF

Event Timeline

Jdforrester-WMF raised the priority of this task from to Medium.
Jdforrester-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 6:32 PM
Krenair added a subscriber: Krenair.Apr 3 2015, 3:16 AM
Jdforrester-WMF added subtasks: T95335: VisualEditor on Mobile web doesn't detect wikitext insertion, T74407: VisualEditor Mobile: Double clicking on citation note in Mobile using desktop Safari opens up the Basic reference dialog which was explicitly disabled for Mobile, T68756: VisualEditor Mobile: Cannot save any edit in mobile VE for Nexus 7(Android 4.4.2), T67413: VisualEditor Mobile: The tapping on Mobile VE is extremely inconsistent compared to standard, T67325: VisualEditor Mobile: Cursor appears over the toolbar in iPad Mini and Nexus 7 for Mobile VE, T74409: VisualEditor Mobile: Cannot overwrite a text entered in CE in mobile VE using desktop Firefox, T69262: VisualEditor Mobile: Chrome for mobile keyboard doesn't fire useful key events for backspace, T72184: VisualEditor Mobile: Performance issue with adding Citations in Mobile, T70018: VisualEditor Mobile: Text cannot be pasted into link inspector search field from mobile browser, T74570: VisualEditor Mobile: When the context menu appears in mobile, the button alignment for "Next" and "Page Settings" option at the top right gets a bit lower, T70017: Switching tabs in memory-limited browsers (esp. mobile ones) often causes page to refresh, causing data loss of session changes, T74402: VisualEditor Mobile: [Regression wmf4] Link suggestions are appearing in a broken way inside Link Inspector in mobile, T74410: VisualEditor Mobile: The Citation icon does not get highlighted upon clicking or tapping on it in Mobile VE using desktop Safari and iOS safari, T67586: VisualEditor Mobile: Allow formatting editing, T70897: VisualEditor Mobile: [Regression]Disable the context menu for the Basic reference/Group Reference/Math/Reference list for mobile, T85068: Inspector titles clipped in VisualEditor on mobile, T67305: VisualEditor Mobile: The Link inspector icon remains highlighted in the toolbar for mobile VE even if no new link has been added, T68755: VisualEditor Mobile: Tapping at the end of each link, does copy-paste of preceding link text in Nexus 7(Android 4.4.2), T68758: VisualEditor Mobile: Tapping on Return while cursor is at the end of a text, deletes that text in Nexus 7 (Android 4.4.2), T68754: VisualEditor Mobile: Tapping at the end of each link duplicates the preceding link text in Nexus 7 (Android 4.4.2), T73259: VisualEditor Mobile: After tapping on "Go back"/"Continue Anyway" in the "Required parameter missing" confirmation dialog in iOS Safari, it flickers at the top of the screen, T85630: Provide VisualEditor regardless of device size, T69340: VisualEditor Mobile: For long drop down menus the options are not at all accessible when the screen is set to landscape in iOS device, T74406: VisualEditor Mobile: The context menu for Citations are not appearing after tapping on it when the keyboard is closed, T70195: VisualEditor Mobile: [Regression wmf15] Pressing backspace to delete the link target inside link inspector closes the inspector, T70244: VisualEditor Mobile: In android, while trying to apply a link on a selected text, strips off the first letter of the text in the link inspector, T70824: VisualEditor Mobile: Cannot type the reference name inside Re-use existing reference dialog unless select a reference from that dialog, T70585: VisualEditor Mobile: The link text is not appearing in the link target field inside the link inspector for Android, T68759: VisualEditor Mobile: For the first time in each edit session in Nexus 7 (Android 4.4.2), Link Inspector gets auto-zoomed in, which looks like partial rendering of the UI.Apr 8 2015, 6:57 AM
Jdforrester-WMF moved this task from Freezer to Epics on the VisualEditor board.Jul 21 2015, 6:15 PM
Jdforrester-WMF renamed this task from Make VisualEditor good enough for mobile tablet and phone enablement to Make VisualEditor good enough for mobile tablet and phone default enablement.Aug 11 2015, 1:10 AM
Deskana moved this task from Epics to Freezer on the VisualEditor board.Aug 31 2018, 10:32 AM